package ru.ulstu.extractor.commit.model;

public class CommitTimeStatistic {
    private final static String DATE_TEMPLATE = "%s.%s";
    private final int month;
    private final int year;
    private final Long countCommit;

    public CommitTimeStatistic(int month, int year, Long countCommit) {
        this.month = month;
        this.year = year;
        this.countCommit = countCommit;
    }

    public String getDate() {
        return String.format(DATE_TEMPLATE, month, year);
    }

    public Long getCountCommit() {
        return countCommit;
    }

}
