package ru.ulstu.extractor.gitrepository.model;

import ru.ulstu.extractor.core.BaseEntity;

import javax.persistence.Entity;

@Entity
public class GitRepository extends BaseEntity {
    private String url;

    public GitRepository() {
    }

    public GitRepository(String repositoryUrl) {
        url = repositoryUrl;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getName() {
        int lastDelimiterIndex = url.lastIndexOf("/");
        return (lastDelimiterIndex > 0 && lastDelimiterIndex < url.length())
                ? url.substring(lastDelimiterIndex + 1)
                : url;
    }
}
