/*
 * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 */

package ru.ulstu.extractor.heuristic.component;

import java.io.File;
import java.util.List;

public abstract class BuildTool {
    private final String name;

    public BuildTool(String name) {
        this.name = name;
    }

    public abstract boolean canAppliedToProject(List<File> rootProjectFiles);

    public String getName() {
        return name;
    }

    public abstract String getSourceDirectoryPath();
}
