package ru.ulstu.extractor.rule.model;

public class AddRuleForm {
    private Integer ruleId;
    private Integer firstAntecedentValueId;
    private String firstAntecedentId;
    private Integer secondAntecedentValueId;
    private String secondAntecedentId;
    private String consequent;

    public AddRuleForm() {
    }

    public AddRuleForm(DbRule rule) {
        this.ruleId = rule.getId();
        this.firstAntecedentId = rule.getFirstAntecedent().name();
        this.secondAntecedentId = rule.getSecondAntecedent().name();
        this.firstAntecedentValueId = rule.getFirstAntecedentValue().getId();
        this.secondAntecedentValueId = rule.getSecondAntecedentValue().getId();
        this.consequent = rule.getConsequent();
    }

    public Integer getRuleId() {
        return ruleId;
    }

    public void setRuleId(Integer ruleId) {
        this.ruleId = ruleId;
    }

    public Integer getFirstAntecedentValueId() {
        return firstAntecedentValueId;
    }

    public void setFirstAntecedentValueId(Integer firstAntecedentValueId) {
        this.firstAntecedentValueId = firstAntecedentValueId;
    }

    public String getFirstAntecedentId() {
        return firstAntecedentId;
    }

    public void setFirstAntecedentId(String firstAntecedentId) {
        this.firstAntecedentId = firstAntecedentId;
    }

    public Integer getSecondAntecedentValueId() {
        return secondAntecedentValueId;
    }

    public void setSecondAntecedentValueId(Integer secondAntecedentValueId) {
        this.secondAntecedentValueId = secondAntecedentValueId;
    }

    public String getSecondAntecedentId() {
        return secondAntecedentId;
    }

    public void setSecondAntecedentId(String secondAntecedentId) {
        this.secondAntecedentId = secondAntecedentId;
    }

    public String getConsequent() {
        return consequent;
    }

    public void setConsequent(String consequent) {
        this.consequent = consequent;
    }

    @Override
    public String toString() {
        return "AddRuleForm{" +
                "firstAntecedentValueId=" + firstAntecedentValueId +
                ", firstAntecedentId=" + firstAntecedentId +
                ", secondAntecedentValueId=" + secondAntecedentValueId +
                ", secondAntecedentId=" + secondAntecedentId +
                ", consequent='" + consequent + '\'' +
                '}';
    }
}
