package ru.ulstu.extractor.ts.model;

public enum TimeSeriesType {
    COMMITS("Временной ряд коммитов"),
    AUTHOR_COMMITS("Временной ряд коммитов авторов"),
    AUTHOR_ISSUES("Временной ряд задач авторов"),
    AUTHOR_COMPLETED_ISSUES("Временной ряд завершенных задач авторов"),
    AUTHORS("Временной ряд авторов"),
    BRANCHES("Временной ряд веток"),
    CLASSES("Временной ряд кклассов"),
    DEPENDENCIES("Временной ряд зависимостей"),
    ENTITIES("Временной ряд сущностей"),
    FILES("Временной файлов"),
    INTERFACES("Временной ряд интерфейсов"),
    ISSUES("Временной ряд задач"),
    PROCESSES("Временной ряд процессов"),
    STARS("Временной ряд звезд");

    private final String description;

    TimeSeriesType(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }
}
