package ru.ulstu.extractor.ts.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import ru.ulstu.extractor.ts.model.TimeSeries;

import java.util.List;
import java.util.Optional;

public interface TimeSeriesRepository extends JpaRepository<TimeSeries, Integer> {
    Optional<TimeSeries> findByName(String name);

    List<TimeSeries> getTimeSeriesByBranchId(Integer branchId);
}
