/*
 * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 */

package ru.ulstu.extractor.core;

import org.springframework.stereotype.Component;

@Component
public class Route {
    public static final String LIST_INDEXED_REPOSITORIES = "listRepositories";
    public static final String DELETE_INDEXED_REPOSITORY = "deleteRepository";
    public static final String LIST_REPOSITORY_BRANCHES = "listBranches";
    public static final String DELETE_BRANCH = "deleteBranch";
    public static final String INDEXING_NEW_REPOSITORY = "indexNewRepository";
    public static final String FILTER_COMMITS = "filterCommits";
    public static final String STATISTIC = "statistic";
    public static final String LIST_RULE = "listRules";
    public static final String ADD_RULE = "addRule";
    public static final String RECOMMENDATIONS = "recommendations";
    public static final String DELETE_RULE = "deleteRule";

    public static String getLIST_INDEXED_REPOSITORIES() {
        return LIST_INDEXED_REPOSITORIES;
    }

    public static String getLIST_REPOSITORY_BRANCHES() {
        return LIST_REPOSITORY_BRANCHES;
    }

    public static String getINDEXING_NEW_REPOSITORY() {
        return INDEXING_NEW_REPOSITORY;
    }

    public static String getFILTER_COMMITS() {
        return FILTER_COMMITS;
    }

    public static String getSTATISTIC() {
        return STATISTIC;
    }

    public static String getRECOMMENDATIONS() {
        return RECOMMENDATIONS;
    }
}
