package ru.ulstu.extractor.rule.service;

import org.springframework.stereotype.Service;
import ru.ulstu.extractor.rule.model.AntecedentValue;
import ru.ulstu.extractor.rule.repository.AntecedentValueRepository;

import java.util.List;

@Service
public class AntecedentValueService {
    private final AntecedentValueRepository antecedentValueRepository;

    public AntecedentValueService(AntecedentValueRepository antecedentValueRepository) {
        this.antecedentValueRepository = antecedentValueRepository;
    }

    public List<AntecedentValue> getList() {
        return antecedentValueRepository.findAll();
    }

    public AntecedentValue getById(Integer antecedentValueId) {
        return antecedentValueRepository.findById(antecedentValueId)
                .orElseThrow(() -> new RuntimeException("Antecedent value not found by id " + antecedentValueId));
    }
}
