package ru.ulstu.extractor.ts.model;

import ru.ulstu.extractor.core.BaseEntity;

import javax.persistence.Entity;
import java.util.Date;

@Entity
public class TimeSeriesValue extends BaseEntity {
    private Date date;
    private Double value;

    public TimeSeriesValue() {
    }

    public TimeSeriesValue(Date date, Double value) {
        this.date = date;
        this.value = value;
    }

    public TimeSeriesValue(TimeSeries timeSeries, Date date, Double value) {
        this.date = date;
        this.value = value;
    }

    public Date getDate() {
        return date;
    }

    public Double getValue() {
        return value;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public void setValue(Double value) {
        this.value = value;
    }
}
